package DAO;

import jakarta.persistence.EntityTransaction;
import metier.Quizz;

public class QuizzDAO extends AbstractJpaDao<Integer, Quizz> {
    public QuizzDAO(){
        super();
        this.setClass(Quizz.class);
    }

    public void deleteAllQuiz(){
        EntityTransaction et= em.getTransaction();
        et.begin();
        em.createQuery("delete from Quizz").executeUpdate();
        et.commit();
    }
}
